## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <valList>

`<valList>` | (value list) contains a list of value and description pairs for an attribute.

Attributes

(In addition to global attributes)

`type` | specifies the extensibility of the list of attribute values specified.
| Datatype: (closed | semi | open)

Legal values are:

closed | only the values specified are permitted.
semi | all the values specified should be supported, but other values are legal and software should have appropriate fallback processing for them.
open | the values specified are sample values only.

| Default: open

Example

    <valList>
      <val>req</val><desc>required</desc>
      <val>mwa</val><desc>mandatory when applicable</desc>
      <val>rec</val><desc>recommended</desc>
      <val>rwa</val><desc>recommended when applicable</desc>
      <val>opt</val><desc>optional</desc>
     </valList>

Module Declared in file teitsd2; Auxiliary DTD for Tag Set documentation
May contain desc val
May occur within
Declaration

    <!ELEMENT valList %om.RR; ((val,desc)*)>
    <!ATTLIST valList
          %a.global;
          type (closed | semi | open) "open">

See further 27.1.1 The AttList Documentation Element

Up: 35 Elements